<?= $this->extend('admin/template/template') ?>

<?= $this->section('content') ?>
<section>
<div class="container-fluid">
<div class="row justify-content-center">

	<div class="col-md-2">
		<img src="https://via.placeholder.com/500x300.png?text=Novo+Cliente" class="img-fluid w-100 rounded mt-3">
	</div>
	<div class="col-md-8 shadow rounded-bottom p-5">
		<h2>Cadastro de Cliente</h2>
		<?php
		$validation = \Config\Services::validation();
		echo form_open('cliente/cadastra', 'class="row"');
			echo '<div class="col-md-6">';
			// input avatar
			echo form_label('<br>','input_avatar');
			echo form_input('input_avatar', set_value('input_avatar'),'class="form-control" placeholder="Selecione uma imagem"');
			// <!-- name Error -->
			if($validation->getError('input_avatar')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_avatar'); ?>
				</div><?php 
			}
			// input name
			echo form_label('<br>','input_name');
			echo form_input('input_name', set_value('input_name'),'class="form-control" placeholder="Seu nome*"');
			// <!-- name Error -->
			if($validation->getError('input_name')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_name'); ?>
				</div><?php 
			}
			// input email
			echo form_label(' ','input_email');
			echo form_input('input_email', set_value('input_email'),'class="form-control" placeholder="Seu email*"');
			// <!-- email Error -->
			if($validation->getError('input_email')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_email'); ?>
				</div><?php 
			}
			// input email extra
			echo form_label(' ','input_email_extra');
			echo form_input('input_email_extra', set_value('input_email_extra'),'class="form-control" placeholder="Emails adicionais, separados por \',\'"');
			// <!-- email Error -->
			if($validation->getError('input_email_extra')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_email_extra'); ?>
				</div><?php 
			}
			// input phone
			echo form_label(' ','input_phone');
			echo form_input('input_phone', set_value('input_phone'),'class="form-control" placeholder="Seu telefone"');
			// <!-- name Error -->
			if($validation->getError('input_phone')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_phone'); ?>
				</div><?php 
			}
			// input cpfcnpj
			echo form_label(' ','input_cpfcnpj');
			echo form_input('input_cpfcnpj', set_value('input_cpfcnpj'),'class="form-control" placeholder="CNPJ ou CPF"');
			// <!-- name Error -->
			if($validation->getError('input_cpfcnpj')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_cpfcnpj'); ?>
				</div><?php 
			}
			// input insc_estadual
			echo form_label(' ','input_insc_estadual');
			echo form_input('input_insc_estadual', set_value('input_insc_estadual'),'class="form-control" placeholder="Inscrição Estadual"');
			// <!-- name Error -->
			if($validation->getError('input_insc_estadual')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_insc_estadual'); ?>
				</div><?php 
			}
		echo '</div>';
		echo '<div class="col-md-6">';
			echo '<div class="row">';
			echo '<div class="col-md-6">';
			// input endereço
			echo form_label(' ','input_endereco');
			echo form_input('input_endereco', set_value('input_endereco'),'class="form-control" placeholder="Endereço"');
			// <!-- name Error -->
			if($validation->getError('input_endereco')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_endereco'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-3">';
			// input endereço numero
			echo form_label(' ','input_endereco_numero');
			echo form_input('input_endereco_numero', set_value('input_endereco_numero'),'class="form-control" placeholder="Número"');
			// <!-- name Error -->
			if($validation->getError('input_endereco_numero')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_endereco_numero'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-3">';
			// input endereço complemento
			echo form_label(' ','input_endereco_compl');
			echo form_input('input_endereco_compl', set_value('input_endereco_compl'),'class="form-control" placeholder="Complemento"');
			// <!-- name Error -->
			if($validation->getError('input_endereco_compl')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_endereco_compl'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-6">';
			// input bairro
			echo form_label(' ','input_bairro');
			echo form_input('input_bairro', set_value('input_bairro'),'class="form-control" placeholder="Informe o Bairro"');
			// <!-- name Error -->
			if($validation->getError('input_bairro')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_bairro'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-6">';
			// input municipio
			echo form_label(' ','input_municipio');
			echo form_input('input_municipio', set_value('input_municipio'),'class="form-control" placeholder="Município"');
			// <!-- name Error -->
			if($validation->getError('input_municipio')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_municipio'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-8">';
			// input estado
			echo form_label(' ','input_estado_uf');
			echo form_input('input_estado_uf', set_value('input_estado_uf'),'class="form-control" placeholder="Estado (UF)"');
			// <!-- name Error -->
			if($validation->getError('input_estado_uf')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_estado_uf'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-3">';
			// input pais
			echo form_label(' ','input_pais');
			echo form_input('input_pais', set_value('input_pais'),'class="form-control" placeholder="Paí"');
			// <!-- name Error -->
			if($validation->getError('input_pais')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_pais'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="w-100"></div>';
			echo '<div class="col-md-6 mb-5 pb-2">';
			// input cep
			echo form_label(' ','input_cep');
			echo form_input('input_cep', set_value('input_cep'),'class="form-control" placeholder="CEP"');
			// <!-- name Error -->
			if($validation->getError('input_cep')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_cep'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div clas="w-100"></div>';
			echo '<div class="col-md-6">';
			// input pass
			echo form_label(' ','input_pass');
			echo form_input('input_pass', '','class="form-control" placeholder="Informe a senha*"');
			// <!-- erro Error -->
			if($validation->getError('input_pass')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_pass'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '<div class="col-md-6">';			
			// input confirmar pass
			echo form_label(' ','input_pass_confirm');
			echo form_input('input_pass_confirm', '','class="form-control" placeholder="Repita a mesma senha*"');
			// <!-- erro Error -->
			if($validation->getError('input_pass_confirm')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_pass_confirm'); ?>
				</div><?php 
			}
			echo '</div>';
			echo '</div>';
		echo '</div>';
			// confirmar envio
		echo '<div class="col-md-12 d-grid mt-3">';
			echo csrf_field();
			echo form_submit('enviar','Atualizar Cadastro','class="btn btn-primary"');
		echo '<p class="mt-3 small">* Campos necessários</p>';
		echo '</div>';
		echo form_close();
		?>
	</div>

</div>
</div>
</section>
<?= $this->endSection() ?>